%{?use_default_jdk}

Summary:	Graphical User Interface for the gprofng profiler
Summary(pl.UTF-8):	Graficzny interfejs użytkownika do profilera gprofng
Name:		gprofng-gui
Version:	2.0
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	https://ftp.gnu.org/gnu/gprofng-gui/%{name}-%{version}.tar.gz
# Source0-md5:	c16b90816ac06fc9ae6e211c4cbe9695
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/gprofng-gui/
%{?buildrequires_jdk}
BuildRequires:	rpmbuild(macros) >= 2.021
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
Requires:	binutils-gprofng
Requires:	jre
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU gprofng GUI is a feature rich graphical user interface for the
GNU gprofng tool. It makes it possible to interactively analyze and
compare gprofng profiling experiments. Users can drill into an
applications profile together with the applications code to gather an
understanding and insight into what an application is doing throughout
its runtime.

The GUI is a Java application utilizing the Swing GUI framework.

%description -l pl.UTF-8
GNU gprofng GUI to bogaty w funkcje graficzny interfejs użytkownika do
narzędzia profilującego gprofng. Umożliwia interaktywną analizę i
porównywanie eksperymentów profilowania gprofng. Użytkownicy mogą
zgłębiać profile aplikacji wraz z ich kodem, aby mieć wgląd i
zrozumienie, co robi aplikacja w czasie jej uruchomienia.

Graficzny interfejs jest aplikacją Javy, wykorzystującą szkielet GUI
Swing.

%prep
%setup -q
%patch -P0 -p1

%{__sed} -i -e '1s,/usr/bin/env bash,/bin/bash,' gprofng-gui.sh

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gp-display-gui
%attr(755,root,root) %{_bindir}/gprofng-display-gui
%{_datadir}/gprofng-gui
%{_desktopdir}/gprofng-gui.desktop
%{_iconsdir}/hicolor/*x*/apps/gprofng.png
%{_infodir}/gprofng-gui.info*
%{_mandir}/man1/gprofng-display-gui.1*
%changelog
* Sun Mar 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gprofng-gui.git;a=log;h=master

* Sun Mar 30 2025 Jakub Bogusz <qboosh@pld-linux.org> 0b1b232
- new

